SmartEmailing compatible CSV statistics
Semicolon separated CSV as SmartEmailing /api/csv: e-mail statistic ids, per-contact event details, list members.
Technická reference je anglicky (stejně jako strojově čitelný dokument OpenAPI). Celou skupinu pro AI agenta načtete z /api/openapi.json?tag=SmartEmailing%20CSV.
Operace
| Metoda | Cesta | Popis |
|---|---|---|
| GET | /api/csv/list-contacts | Members of a list (CSV) |
| GET | /api/csv/statistics/email/automation-email-statistic-id | E-mail statistic ids of automation e-mail nodes |
| GET | /api/csv/statistics/email/automation-email-statistic-id/{automation_id} | E-mail statistic ids of automation e-mail nodes of one automation |
| GET | /api/csv/statistics/email/{kind}-detail/{sid} | Per-contact events of an e-mail statistic id (sent, opened, clicked, bounced, unsubscribed) |
Members of a list (CSV)
GET /api/csv/list-contacts
Parametry
| Název | Kde | Typ | Povinné | Popis |
|---|---|---|---|---|
listid | query | integer | ano |
Odpovědi
- 200 OK:
text/csvstring
Chyby
| Stav | Kód | Hodnoty message |
|---|---|---|
| 401 | Authentication Failed | |
| 403 | Forbidden | |
| 404 | Not Found | |
| 422 | Validation failed: <parameter> | |
| 429 | Rate limit exceeded (...) |
E-mail statistic ids of automation e-mail nodes
GET /api/csv/statistics/email/automation-email-statistic-id
Odpovědi
- 200 OK:
text/csvstring
Chyby
| Stav | Kód | Hodnoty message |
|---|---|---|
| 401 | Authentication Failed | |
| 403 | Forbidden | |
| 429 | Rate limit exceeded (...) |
E-mail statistic ids of automation e-mail nodes of one automation
GET /api/csv/statistics/email/automation-email-statistic-id/{automation_id}
Parametry
| Název | Kde | Typ | Povinné | Popis |
|---|---|---|---|---|
automation_id | path | integer | ano |
Odpovědi
- 200 OK:
text/csvstring
Chyby
| Stav | Kód | Hodnoty message |
|---|---|---|
| 401 | Authentication Failed | |
| 403 | Forbidden | |
| 429 | Rate limit exceeded (...) |
Per-contact events of an e-mail statistic id (sent, opened, clicked, bounced, unsubscribed)
GET /api/csv/statistics/email/{kind}-detail/{sid}
Parametry
| Název | Kde | Typ | Povinné | Popis |
|---|---|---|---|---|
kind | path | one of: sent, opened, clicked, bounced, unsubscribed | ano | |
sid | path | string | ano | c<campaign id> or a<automation id>:<node key>. |
interval_from | query | string | ne | YYYY-MM-DD HH:MM:SS local time. |
interval_to | query | string | ne | YYYY-MM-DD HH:MM:SS local time. |
Odpovědi
- 200 OK:
text/csvstring
Chyby
| Stav | Kód | Hodnoty message |
|---|---|---|
| 401 | Authentication Failed | |
| 403 | Forbidden | |
| 404 | Not Found | |
| 422 | Validation failed: <parameter> | |
| 429 | Rate limit exceeded (...) |
Schémata
SeError
| Pole | Typ | Povinné | Popis |
|---|---|---|---|
status | error | ano | |
meta | array of any | ne | |
message | string | ano |
{
"status": "error",
"meta": [],
"message": "Authentication Failed"
}